{
    "configurations": [
        {
            "name": "pn_dev: start debug",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/build/pn_dev_test",
            "args": ["-ienp0s8", "-v", "-v", "-v", "-v"],
            "stopAtEntry": true,
            "cwd": "${fileDirname}",
            "environment": [],
            "externalConsole": false,
            "miDebuggerPath": "/home/svad/Projects/profinet_io_dev/debug_support/gdb",
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Включить автоматическое форматирование для gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description": "Задать для варианта приложения дизассемблирования значение Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
        }
    ],
    "version": "2.0.0"
}